|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Member Functions
gameplay::Uniform Class Reference

`#include <Effect.h>`

List of all members.

## Public Member Functions

const char * | getName () const
const GLenum | getType () const
Effect * | getEffect () const

## Detailed Description

Represents a uniform variable within an effect.

## Member Function Documentation

Effect* gameplay::Uniform::getEffect | ( |  | ) | const

Returns the effect for this uniform.

Returns:
  The uniform's effect.

const char* gameplay::Uniform::getName | ( |  | ) | const

Returns the name of this uniform.

Returns:
  The name of the uniform.

const GLenum gameplay::Uniform::getType | ( |  | ) | const

Returns the OpenGL uniform type.

Returns:
  The OpenGL uniform type.

All Classes Functions Variables Typedefs Enumerations Enumerator